# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/vl3DS.hpp File Reference

`#include "vl/Actor.hpp"`
`#include "vl/ResourceLoadWriter.hpp"`
`#include "vl/ResourceDatabase.hpp"`
`#include "vl/String.hpp"`
`#include <vector>`

## Classes
class | vl::LoadWriter3DS
| The LoadWriter3DS class is a ResourceLoadWriter capable of reading 3DS files. More...
class | vl::A3DSTexture
| The A3DSTexture class represents a texture in a 3DS file. More...
class | vl::A3DSMaterial
| The A3DSMaterial class represents a material in a 3DS file. More...
class | vl::A3DSTriFace
| The A3DSTriFace class represents a triangle in a 3DS file. More...
class | vl::A3DSMaterialFaceMapping
| The A3DSMaterialFaceMapping class represents the material/face mapping in a 3DS file. More...
class | vl::A3DSVertex
| The A3DSVertex class represents a vertex in a 3DS file. More...
class | vl::A3DSObject
| The A3DSObject class represents an object in a 3DS file. More...
class | vl::A3DSLoader
| The A3DSLoader class loads an Autodesk 3DS file and generates a vector of A3DSObject and A3DSMaterial objects. More...
## Namespaces
namespace | vl
| Visualization Library namespace.

## Defines
#define | Load3DS_INCLUDE_ONCE
## Functions
ref< ResourceDatabase > | vl::load3DS (VirtualFile *file)
ref< ResourceDatabase > | vl::load3DS (const String &path)

## Define Documentation

#define Load3DS_INCLUDE_ONCE

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 8 14:28:51 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.